Attribute VB_Name = "modMain"
Public Sub LoadTagsWithContextID()
'**This just makes sure that the Tag property and the WhatsThisHelpID
'**property are synchronized.
frmChild1.Text1.Tag = Format(frmChild1.Text1.WhatsThisHelpID, "General Number")
For Each Control In frmMain.Controls
    Select Case LCase$(TypeName(Control))
    Case "commandbutton", "image", "picturebox"
        Control.Tag = Format(Control.WhatsThisHelpID, "General Number")
    Case "menu"
    End Select
Next Control
End Sub

Public Sub SetWhatsThisStatus(status%)

    Dim fControls As Control

    Select Case status%
    Case 0
        frmChild1.Text1.WhatsThisHelpID = 0
        For Each Control In frmMain.Controls
            Select Case LCase$(TypeName(Control))
            Case "commandbutton", "image", "picturebox"
                Control.WhatsThisHelpID = 0
            Case "menu"
            End Select
        Next Control
        frmMain.btn_WhatsThisHelp.Picture = frmMain.icon_WhatsThisHelp.Picture
        useWhatsThisHelp% = 0
        Call SetHelpFile(frmMain)
    
    Case Else
        frmChild1.Text1.WhatsThisHelpID = Val(frmChild1.Text1.Tag)
        For Each Control In frmMain.Controls
        'MsgBox TypeName(Control)
            Select Case LCase$(TypeName(Control))
            Case "commandbutton", "image", "picturebox"
                Control.WhatsThisHelpID = Val(Control.Tag)
            Case "menu"
            End Select
        Next Control
        useWhatsThisHelp% = 1
        Call SetHelpFile(frmMain)
    
    End Select
    
End Sub

Public Sub SetHelpFile(thisForm As Form)

Dim formName$
Dim appName$
Dim hlpData$
Dim hlpFile$
Dim hlpWindow$
Dim wtHelp$
Dim success As Integer
Dim retval As String * 256

formName$ = thisForm.Name
hlpData$ = AddFile$(App.Path, "HelpData.dat")

'**See if there is a Help file name for this form*********************
success = GetPrivateProfileString("HelpFile", formName$, "", retval, Len(retval), hlpData$)
hlpFile$ = Left(retval, success)
If hlpFile$ = "" Then
    '**No Help file name for this window. See if file contains a default.
    success = GetPrivateProfileString("HelpFile", "default", "", retval, Len(retval), hlpData$)
    hlpFile$ = Left(retval, success)
    If hlpFile$ = "" Then
        '**No default in file. Go to ultimate default (EXEName + .hlp).
        hlpFile$ = App.EXEName & ".hlp"
    End If
End If
hlpFile$ = AddFile$(App.Path, hlpFile$)

'**We assume a similar name with chm extension if we are going to use HTML Help
If useHTMLHelp% <> 0 Then
    hlpFile$ = ChangeFileExtension$(hlpFile$, "chm", 1)
End If
curHelpFile$ = hlpFile$

'**See if there is a Help window name for this form*******************
success = GetPrivateProfileString("HelpWindow", formName$, "", retval, Len(retval), hlpData$)
hlpWindow$ = Left(retval, success)
If hlpWindow$ = "" Then
    '**No Help file name for this window. See if file contains a default.
    success = GetPrivateProfileString("HelpWindow", "default", "", retval, Len(retval), hlpData$)
    hlpWindow$ = Left(retval, success)
    '**Note, the ultimate default window is "main", for which you don't
    '**need to specify a window name.
End If

'**Add window to file name if necessary*******************************
If useWhatsThisHelp% = 0 Then
    '**We want a secondary window spec in App.HelpFile
    If hlpWindow$ <> "" Then
        App.HelpFile = hlpFile$ & ">" & hlpWindow$
    Else
        App.HelpFile = hlpFile$
    End If
    
ElseIf useHTMLHelp% <> 0 Then
    '**Need popup spec, and it must be for HTML
    App.HelpFile = hlpFile$ & "::/popups.txt"
    
Else
    '**Need popup and it's for WinHelp
    App.HelpFile = hlpFile$
    
End If

End Sub
